<?php

namespace Teknisa\FIN\Modules\ContaPagar\Services\RetornoDDA;

abstract class RetornoFactory{

    CONST CODIGO_COMPENSACAO_SANTANDER = "033";
    CONST CODIGO_COMPENSACAO_BRADESCO  = "237";
    CONST CODIGO_COMPENSACAO_ITAU      = "341";
    CONST CODIGO_COMPENSACAO_CAIXAEF   = "104";
    CONST CODIGO_COMPENSACAO_BRASIL    = "001";

    CONST LAYOUT_PAGFORN_BRADESCO  = 1;
    CONST LAYOUT_MULTIPAG_BRADESCO = 2;
    CONST LAYOUT_SISPAG_ITAU       = 1;
    CONST LAYOUT_RISCOSACADA_ITAU  = 2;

    public static function getBancoCnab($cdbanco, $arquivo)
    {
        try
        {
            if ($cdbanco == self::CODIGO_COMPENSACAO_SANTANDER){
                return new LeitorCnabSantander($arquivo, $cdbanco);
            }
            elseif($cdbanco == self::CODIGO_COMPENSACAO_ITAU){
                return new LeitorCnabItau($arquivo, $cdbanco);
            }
            else throw new \Exception('O Códido de Compensação informado não pertece a nenhum banco reconhecido.');

        } catch (\Exception $e) {
            throw $e;
        }
    }
}